Subject: Re: next-20090406: nfsd build fails

From: "J. Bruce Fields" <[email-masked]>
Date: Mon, 6 Apr 2009 13:11:46 -0400

On Mon, Apr 06, 2009 at 11:53:28AM +0300, Benny Halevy wrote:
> On Apr. 06, 2009, 10:27 +0300, Alexander Beregalov <[email-masked]> wrote:
> > Hi
> > 
> > fs/nfsd/nfssvc.c: In function 'set_max_drc':
> > fs/nfsd/nfssvc.c:240: error: 'NFSD_DRC_SIZE_SHIFT' undeclared
> > 
> > CONFIG_NFSD_V4 is not set
> 
> Hi Alexander,
> 
> Thanks for reporting this!
> 
> Andy, Bruce: please see attached 2 patches fixing compile/link errors
> with DRC under !defined(CONFIG_NFSD_V4):
> 
> [PATCH 1/2] SQUASHEM: nfsd41: define NFSD_DRC_SIZE_SHIFT in set_max_drc
> [PATCH 2/2] SQUASHME: nfsd41: define nfsd4_set_statp as noop for !CONFIG_NFSD_V4

Thanks, applied.

Committing on top (not squashing) since I'd rather not rewrite history
on a branch I've already sent a pull request for.

(In fact, I'll try to stop rebasing those for-next branches at all this
time around.)

--b.
--
To unsubscribe from this list: send the line "unsubscribe linux-nfs" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html